| QxOrm 1.1.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Static Public Member Functions | Protected Attributes | Private Member Functions | Static Private Member Functions | Friends
qx::QxClassX Class Reference
QxRegister : QxOrm library register context used by introspection engine (class, function, property...)

qx::QxClassX : list of all classes registered into QxOrm context (this container is a singleton) More...

`#include <QxClassX.h>`

Inheritance diagram for qx::QxClassX:

List of all members.

## Classes
struct | invoke_default
struct | invoke_ptr
## Public Types
typedef IxFunction::type_any_params | type_any_params
## Static Public Member Functions
static boost::any | create (const QString &sKey)
static IxClass * | getClass (const QString &sKey)
static IxDataMemberX * | getDataMemberX (const QString &sKey)
static IxFunctionX * | getFctMemberX (const QString &sKey)
static IxDataMember * | getDataMember (const QString &sClassKey, const QString &sDataKey, bool bRecursive=true)
static IxFunction * | getFctMember (const QString &sClassKey, const QString &sFctKey, bool bRecursive=true)
template<class U >
static qx_bool | invoke (const QString &sClassKey, const QString &sFctKey, U &pOwner, const QString &params=QString(), boost::any *ret=NULL)
template<class U >
static qx_bool | invoke (const QString &sClassKey, const QString &sFctKey, U &pOwner, const type_any_params &params, boost::any *ret=NULL)
## Protected Attributes
QxCollection< QString, IxClass * > | m_lstClass
## Private Member Functions
| QxClassX ()
virtual | ~QxClassX ()
IxClass * | get (const QString &sKey) const
bool | exist (const QString &sKey) const
bool | insert (const QString &sKey, IxClass *pClass)
bool | remove (const QString &sKey)
void | clear ()
## Static Private Member Functions
static qx_bool | invokeVoidPtr (const QString &sClassKey, const QString &sFctKey, void *pOwner, const QString &params=QString(), boost::any *ret=NULL)
static qx_bool | invokeVoidPtr (const QString &sClassKey, const QString &sFctKey, void *pOwner, const type_any_params &params, boost::any *ret=NULL)
## Friends
class | QxSingleton< QxClassX >
class | IxClass

## Detailed Description

qx::QxClassX : list of all classes registered into QxOrm context (this container is a singleton)

Definition at line 61 of file QxClassX.h.

## Member Typedef Documentation

typedef IxFunction::type_any_params qx::QxClassX::type_any_params

Definition at line 69 of file QxClassX.h.

## Constructor & Destructor Documentation

qx::QxClassX::QxClassX | ( |  | ) | `[inline, private]`

Definition at line 77 of file QxClassX.h.

virtual qx::QxClassX::~QxClassX | ( |  | ) | `[inline, private, virtual]`

Definition at line 78 of file QxClassX.h.

## Member Function Documentation

void qx::QxClassX::clear | ( |  | ) | `[private]`

static boost::any qx::QxClassX::create | ( | const QString & | sKey | ) | `[static]`

bool qx::QxClassX::exist | ( | const QString & | sKey | ) | const`[private]`

IxClass* qx::QxClassX::get | ( | const QString & | sKey | ) | const`[private]`

static IxClass* qx::QxClassX::getClass | ( | const QString & | sKey | ) | `[static]`

static IxDataMember* qx::QxClassX::getDataMember | ( | const QString & | sClassKey,
|  | const QString & | sDataKey,
|  | bool | bRecursive = `true`
| ) |  | `[static]`

static IxDataMemberX* qx::QxClassX::getDataMemberX | ( | const QString & | sKey | ) | `[static]`

static IxFunction* qx::QxClassX::getFctMember | ( | const QString & | sClassKey,
|  | const QString & | sFctKey,
|  | bool | bRecursive = `true`
| ) |  | `[static]`

static IxFunctionX* qx::QxClassX::getFctMemberX | ( | const QString & | sKey | ) | `[static]`

bool qx::QxClassX::insert | ( | const QString & | sKey,
|  | IxClass * | pClass
| ) |  | `[private]`

template<class U >

static qx_bool qx::QxClassX::invoke | ( | const QString & | sClassKey,
|  | const QString & | sFctKey,
|  | U & | pOwner,
|  | const type_any_params & | params,
|  | boost::any * | ret = `NULL`
| ) |  | `[inline, static]`

Definition at line 104 of file QxClassX.h.

template<class U >

static qx_bool qx::QxClassX::invoke | ( | const QString & | sClassKey,
|  | const QString & | sFctKey,
|  | U & | pOwner,
|  | const QString & | params = `QString()`,
|  | boost::any * | ret = `NULL`
| ) |  | `[inline, static]`

Definition at line 96 of file QxClassX.h.

static qx_bool qx::QxClassX::invokeVoidPtr | ( | const QString & | sClassKey,
|  | const QString & | sFctKey,
|  | void * | pOwner,
|  | const type_any_params & | params,
|  | boost::any * | ret = `NULL`
| ) |  | `[static, private]`

static qx_bool qx::QxClassX::invokeVoidPtr | ( | const QString & | sClassKey,
|  | const QString & | sFctKey,
|  | void * | pOwner,
|  | const QString & | params = `QString()`,
|  | boost::any * | ret = `NULL`
| ) |  | `[static, private]`

bool qx::QxClassX::remove | ( | const QString & | sKey | ) | `[private]`

## Friends And Related Function Documentation

friend class IxClass`[friend]`

Definition at line 65 of file QxClassX.h.

friend class QxSingleton< QxClassX >`[friend]`

Definition at line 64 of file QxClassX.h.

## Member Data Documentation

QxCollection<QString, IxClass *> qx::QxClassX::m_lstClass`[protected]`

Definition at line 73 of file QxClassX.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxRegister/QxClassX.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines